Subject: Re: bug#11482: 24.0.96; Keep `M-s' as a prefix key for search (conflict with Gnus)

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Feb 2016 18:05:01 +1100

Michael Heerdegen <[email-masked]> writes:

> Not being able to perform Icicle search was not the problem, it is a
> problem the other way round: Icicles' binding is a minor mode binding,
> thus shadowing the Gnus M-s binding, which is really important.  That's
> the problem.  Without a keybinding, it is also harder to find, e.g. with
> C-h b etc.  I had suggested to Lars to change the Gnuish binding, but he
> didn't want to.

Well, icicles is a third-party library, so I think it's icicle's
responsibility to not step on major mode bindings.  So I don't think
there's anything here to be fixed in Emacs, and I'm closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no